All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
pnat.h File Reference
`#include <ptlib/sockets.h>`
`#include <ptlib/plugin.h>`
`#include <ptlib/pluginmgr.h>`

Go to the source code of this file.

## Classes

class | PNatMethod
| PNatMethod Base Network Address Traversal Method class All NAT Traversal Methods are derived off this class. More...
struct | PNatMethod::PortInfo
class | PNatStrategy
| PNatStrategy The main container for all NAT traversal Strategies. More...
class | PNatMethodServiceDescriptor< className >

## Macros

#define | PDECLARE_NAT_METHOD(method, cls) PFACTORY_CREATE(PFactory<PNatMethod>, cls, #method)
#define | PCREATE_NAT_PLUGIN(name)

## Functions

| PLIST (PNatList, PNatMethod)
| PFACTORY_LOAD (PSTUNClient)

## Macro Definition Documentation

#define PCREATE_NAT_PLUGIN | ( |  | name | ) |

Value:
static PNatMethodServiceDescriptor<PNatMethod_##name> PNatMethod_##name##_descriptor; \
PCREATE_PLUGIN_STATIC(name, PNatMethod, &PNatMethod_##name##_descriptor)
PNatMethodServiceDescriptor
Definition: pnat.h:344
PCREATE_PLUGIN_STATIC
#define PCREATE_PLUGIN_STATIC(serviceName, serviceType, descriptor)
Definition: plugin.h:200
PNatMethod
PNatMethod Base Network Address Traversal Method class All NAT Traversal Methods are derived off this...
Definition: pnat.h:49

#define PDECLARE_NAT_METHOD | ( |  | method,
|  |  | cls
| ) |  | PFACTORY_CREATE(PFactory<PNatMethod>, cls, #method)

## Function Documentation

PFACTORY_LOAD | ( | PSTUNClient |  | ) |

PLIST | ( | PNatList | ,
|  | PNatMethod |
| ) |  |